Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/00000000-0000-0000-0000-000000000000 \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"keyword": "<string>",
"location_code": 123,
"language_code": "<string>",
"model": "<string>",
"check_url": "<string>",
"datetime": "<string>",
"markdown": "<string>",
"search_results": [
{
"type": "<string>",
"url": "<string>",
"domain": "<string>",
"title": "<string>",
"description": "<string>",
"breadcrumb": "<string>"
}
],
"sources": [
{
"type": "<string>",
"title": "<string>",
"snippet": "<string>",
"domain": "<string>",
"url": "<string>",
"thumbnail": "<string>",
"source_name": "<string>",
"publication_date": "<string>",
"markdown": "<string>"
}
],
"fan_out_queries": [
"<string>"
],
"brand_entities": [
{
"type": "<string>",
"title": "<string>",
"category": "<string>",
"markdown": "<string>",
"urls": {}
}
],
"se_results_count": 123,
"item_types": [
"<string>"
],
"items_count": 123,
"items": [
{
"markdown": "<string>",
"sources": [
{
"type": "<string>",
"title": "<string>",
"snippet": "<string>",
"domain": "<string>",
"url": "<string>",
"thumbnail": "<string>",
"source_name": "<string>",
"publication_date": "<string>",
"markdown": "<string>"
}
],
"brand_entities": [
{
"type": "<string>",
"title": "<string>",
"category": "<string>",
"markdown": "<string>",
"urls": {}
}
],
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123
}
]
}
]
}
]
}ChatGPT
按 id 获取 ChatGPT LLM Scraper 高级结果
按 id 取回排队的 ChatGPT 抓取,结构与 live 端点相同。
GET
https://api.aisa.one
/
apis
/
v1
/
dataforseo
/
ai_optimization
/
chat_gpt
/
llm_scraper
/
task_get
/
advanced
/
{id}
Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/00000000-0000-0000-0000-000000000000 \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"keyword": "<string>",
"location_code": 123,
"language_code": "<string>",
"model": "<string>",
"check_url": "<string>",
"datetime": "<string>",
"markdown": "<string>",
"search_results": [
{
"type": "<string>",
"url": "<string>",
"domain": "<string>",
"title": "<string>",
"description": "<string>",
"breadcrumb": "<string>"
}
],
"sources": [
{
"type": "<string>",
"title": "<string>",
"snippet": "<string>",
"domain": "<string>",
"url": "<string>",
"thumbnail": "<string>",
"source_name": "<string>",
"publication_date": "<string>",
"markdown": "<string>"
}
],
"fan_out_queries": [
"<string>"
],
"brand_entities": [
{
"type": "<string>",
"title": "<string>",
"category": "<string>",
"markdown": "<string>",
"urls": {}
}
],
"se_results_count": 123,
"item_types": [
"<string>"
],
"items_count": 123,
"items": [
{
"markdown": "<string>",
"sources": [
{
"type": "<string>",
"title": "<string>",
"snippet": "<string>",
"domain": "<string>",
"url": "<string>",
"thumbnail": "<string>",
"source_name": "<string>",
"publication_date": "<string>",
"markdown": "<string>"
}
],
"brand_entities": [
{
"type": "<string>",
"title": "<string>",
"category": "<string>",
"markdown": "<string>",
"urls": {}
}
],
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123
}
]
}
]
}
]
}按
id 取回排队的 ChatGPT 抓取,结构与 live 端点相同。免费——费用在 submit。响应包在信封里:数据在 tasks[0].result,成败在 tasks[0].status_code——请求被拒时 HTTP 仍是 200。
示例
curl -X GET "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/task_get/advanced/{id}" \
-H "Authorization: Bearer YOUR_API_KEY"
费用与请求规则
公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.012
- 计费依据: response_usd
- 公开参考倍率: 1.0
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
task identifier
a universally unique identifier (UUID)
unique task identifier in our system
you will be able to use it within 30 days to request the results of the task at any time
响应
object | null
Successful operation
API 的当前版本
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
array of tasks
Show child attributes
Show child attributes